Skip to main content
GET
Get a recorded terminal session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string<uuid>
required

Response

The session

A recorded interactive terminal session into a pod.

id
string<uuid>
required
organisation_id
string<uuid>
required
cluster_id
string<uuid>
required
audit_log_id
string<uuid> | null
required
ankra_user_id
string<uuid> | null
required
user_email
string
required
namespace
string
required
pod_name
string
required
container_name
string
required
shell
string
required
started_at
string<date-time>
required
ended_at
string<date-time> | null
required
end_reason
string | null
required
recorded_bytes
integer
required
is_truncated
boolean
required
recording_degraded
boolean
required
transcript_pruned_at
string<date-time> | null
required

Set once retention removed the recorded bytes; the session facts stay.